﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Default2 : System.Web.UI.Page
{
    class CustomAppointmentComparer : IComparer<Appointment>
    {
        public int Compare(Appointment first, Appointment second)
        {
            if (first == null || second == null)
            {
                throw new InvalidOperationException("Can't compare null object(s).");
            }

            if (first.Start < second.Start)
            {
                return -1;
            }

            if (first.Start > second.Start)
            {
                return 1;
            }

            if (first.End > second.End)
            {
                return -1;
            }
            if (first.Attributes["Priority"] != null & second.Attributes["Priority"] != null)
            {
                return String.Compare(first.Attributes["Priority"].ToString(), second.Attributes["Priority"].ToString());
            }
            return 0;
        }
    }
    protected void Page_Init(object sender, EventArgs e)
    {
        XmlSchedulerProvider provider = new XmlSchedulerProvider(Server.MapPath("~/App_Data/AppointmentsA.xml"), true);
        RadScheduler1.Provider = provider;
    }   
    protected void Page_Load(object sender, EventArgs e)
    {
        RadScheduler1.AppointmentComparer = new CustomAppointmentComparer(); 
    }
  
}
